<template>
    <section class="main-content">
      <div class="columns">
        <div class="column is-6 is-offset-3">
          <loader :show="showLoading" text="Aguarde..." backdropColor="#fff">
            <div style="padding: 20px">
              <ComparePasswords :min="6" required="true" v-model="password" />            
              <p style="margin-top: 20px">
                <button type="submit" class="button is-primary" :disabled="DisableNovaSenhaBtn" @click="atualizarSenha()">Alterar Senha</button>
              </p>
            </div>
          </loader>
          <h2 style="font-size: 16px; font-weight: bold; margin: 30px, color: #f00">{{msg}}</h2>
        </div>
      </div>
    </section>
</template>

<script>

import ComparePasswords from './compare-passwords-component.vue'
import loader from './loader-component.vue'
import { changePassword } from '../api/user.service.js'

export default {
  name: 'RecuperarSenhaPage',
  components: {  ComparePasswords, loader },
  data () {
    return {
      password: '',
      showLoading: false,
      msg: ''
    }
  },
  computed: {
    DisableNovaSenhaBtn: function() {
      if (!this.password) {
        return true;
      } else {
        return false;
      }
    }
  },
  mounted () {
    const { token } = this.$route.query
    if (!token) {
      this.$router.push('/')
    }
  },
  methods: {
    atualizarSenha() {
      this.showLoading = true;
      changePassword(this.$route.query.token, this.password)
        .then(
          success => {
            this.showLoading = false;
            alert('Sua senha foi alterada com sucesso!')
          })
          .catch((error) => {
            this.showLoading = false;
            this.msg = error.response.data.message
          })
    }
  }
}
</script>
